commit: aafa58b5cded6aedd0ce468feeefa7fed6c3492e
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun May 24 08:34:07 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun May 24 08:34:54 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=aafa58b5
dev-python/trio: version bump
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
dev-python/trio/Manifest | 1 +
dev-python/trio/trio-0.15.1.ebuild | 63 ++++++++++++++++++++++++++++++++++++++
2 files changed, 64 insertions(+)
diff --git a/dev-python/trio/Manifest b/dev-python/trio/Manifest
index 7d8d72d..9d1111f 100644
--- a/dev-python/trio/Manifest
+++ b/dev-python/trio/Manifest
@@ -1 +1,2 @@
DIST trio-0.14.0.tar.gz 451593 BLAKE2B
05b19fb17fb046c17c196d6fec003b731a0beb2c976e0d289665fbdf28c1ab8556404c21a9b3c72623b7d293a74438d4d43a368367838247d9e17e0f6d4ec47e
SHA512
dcc640315c5f9a558c00be97ffc011bbb6d2a2137f4f07845698bdec5e2c0949ffb23f6ec49410e618d49156b42a5423b82f5c1f271c1cced7886d3f94c2cd9e
+DIST trio-0.15.1.tar.gz 457493 BLAKE2B
9123510032f8e59b67bde778c1270d0fd18771806120866741f4e03f6e3f354ad34d06d75b23f38d53fa43e0832cc51060049b81a35be14b4ce043e32672b77d
SHA512
48ff7e00e67ad11d09faf643275982e893ee7d533396dd9fe2558d38390693acf9e023fddbc8b00b7d12090154c0610fa71e65d003e110cfbb47b3f0eb3e8469
diff --git a/dev-python/trio/trio-0.15.1.ebuild
b/dev-python/trio/trio-0.15.1.ebuild
new file mode 100644
index 0000000..b83b175
--- /dev/null
+++ b/dev-python/trio/trio-0.15.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1 linux-info
+
+DESCRIPTION="Python library for async concurrency and I/O"
+HOMEPAGE="
+ https://github.com/python-trio/trio
+ https://pypi.org/project/trio
+"
+SRC_URI="https://github.com/python-trio/${PN}/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/async_generator[${PYTHON_USEDEP}]
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/outcome[${PYTHON_USEDEP}]
+ dev-python/sniffio[${PYTHON_USEDEP}]
+ dev-python/sortedcontainers[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/contextvars[${PYTHON_USEDEP}]'
python3_6)
+"
+DEPEND="${RDEPEND}
+ test? (
+ >=dev-python/astor-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/immutables-0.6[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/jedi[${PYTHON_USEDEP}]
+ dev-python/pylint[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ dev-python/yapf[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source \
+ ">=dev-python/immutables-0.6" \
+ dev-python/sphinxcontrib-trio \
+ dev-python/sphinx_rtd_theme \
+ dev-python/towncrier
+
+python_prepare_all() {
+ # Disable tests require IPv6
+ if ! linux_config_exists || ! linux_chkconfig_present IPV6; then
+ sed -i -e "/for family in/s/, AF_INET6//" \
+ -e "/test_getaddrinfo/[email protected](reason='no
IPv6')" \
+ trio/tests/test_socket.py || die "sed failed for
test_socket.py"
+ fi
+
+ # these tests require internet access
+ rm trio/tests/test_ssl.py || die
+ rm trio/tests/test_highlevel_ssl_helpers.py || die
+
+ distutils-r1_python_prepare_all
+}